gtkmm: Gtk::ATContext Class Reference

gtkmm 4.22.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::ATContext Class Reference

Gtk::ATContext is an abstract class provided by GTK to communicate to platform-specific assistive technologies API. More...

`#include <gtkmm/atcontext.h>`

Inheritance diagram for Gtk::ATContext:
[legend]

## Public Member Functions
| ATContext (ATContext && src) noexcept
ATContext & | operator= (ATContext && src) noexcept
| ~ATContext () noexcept override
GtkATContext * | gobj ()
| Provides access to the underlying C GObject.
const GtkATContext * | gobj () const
| Provides access to the underlying C GObject.
GtkATContext * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Accessible > | get_accessible ()
| Retrieves the Gtk::Accessible using this context.
Glib::RefPtr< const Accessible > | get_accessible () const
| Retrieves the Gtk::Accessible using this context.
Accessible::Role | get_accessible_role () const
| Retrieves the accessible role of this context.
Glib::PropertyProxy< Accessible::Role > | property_accessible_role ()
| The accessible role used by the AT context.
Glib::PropertyProxy_ReadOnly< Accessible::Role > | property_accessible_role () const
| The accessible role used by the AT context.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Accessible > > | property_accessible () const
| The Gtk::Accessible that created the Gtk::ATContext instance.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Display > > | property_display ()
| The Gdk::Display for the Gtk::ATContext.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Display > > | property_display () const
| The Gdk::Display for the Gtk::ATContext.
Glib::SignalProxy< void()> | signal_state_change ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ATContext > | create (Accessible::Role accessible_role, const Glib::RefPtr< Accessible > & accessible, const Glib::RefPtr< Gdk::Display > & display)
| Creates a new Gtk::ATContext instance for the given accessible role, accessible instance, and display connection.

## Protected Member Functions
| ATContext ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::ATContext > | wrap (GtkATContext * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Gtk::ATContext is an abstract class provided by GTK to communicate to platform-specific assistive technologies API.

Each platform supported by GTK implements a GtkATContext subclass, and is responsible for updating the accessible state in response to state changes in Gtk::Accessible.

Since gtkmm 4.10

## Constructor & Destructor Documentation

## ◆ ATContext() [1/2]

Gtk::ATContext::ATContext | ( | ATContext && | src | ) |
| noexcept

## ◆ ~ATContext()

Gtk::ATContext::~ATContext | ( |  | ) |
| overridenoexcept

## ◆ ATContext() [2/2]

Gtk::ATContext::ATContext | ( |  | ) |
| protected

## Member Function Documentation

## ◆ create()

Glib::RefPtr< ATContext > Gtk::ATContext::create | ( | Accessible::Role | accessible_role,
|  | const Glib::RefPtr< Accessible > & | accessible,
|  | const Glib::RefPtr< Gdk::Display > & | display )
| static

Creates a new Gtk::ATContext instance for the given accessible role, accessible instance, and display connection.

The Gtk::ATContext implementation being instantiated will depend on the platform.

Parameters

  accessible_role | The accessible role used by the Gtk::ATContext.
  accessible | The Gtk::Accessible implementation using the Gtk::ATContext.
  display | The Gdk::Display used by the Gtk::ATContext.

Returns
  The Gtk::ATContext.

## ◆ get_accessible() [1/2]

Glib::RefPtr< Accessible > Gtk::ATContext::get_accessible | ( |  | ) |

Retrieves the Gtk::Accessible using this context.

Returns
  A Gtk::Accessible.

## ◆ get_accessible() [2/2]

Glib::RefPtr< const Accessible > Gtk::ATContext::get_accessible | ( |  | ) | const

Retrieves the Gtk::Accessible using this context.

Returns
  A Gtk::Accessible.

## ◆ get_accessible_role()

Accessible::Role Gtk::ATContext::get_accessible_role | ( |  | ) | const

Retrieves the accessible role of this context.

Returns
  A Gtk::Accessible::Role.

## ◆ get_type()

GType Gtk::ATContext::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkATContext * Gtk::ATContext::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkATContext * Gtk::ATContext::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkATContext * Gtk::ATContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

ATContext & Gtk::ATContext::operator= | ( | ATContext && | src | ) |
| noexcept

## ◆ property_accessible()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Accessible > > Gtk::ATContext::property_accessible | ( |  | ) | const

The Gtk::Accessible that created the Gtk::ATContext instance.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_accessible_role() [1/2]

Glib::PropertyProxy< Accessible::Role > Gtk::ATContext::property_accessible_role | ( |  | ) |

The accessible role used by the AT context.

Depending on the given role, different states and properties can be set or retrieved.

Default value: Gtk::Accessible::Role::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accessible_role() [2/2]

Glib::PropertyProxy_ReadOnly< Accessible::Role > Gtk::ATContext::property_accessible_role | ( |  | ) | const

The accessible role used by the AT context.

Depending on the given role, different states and properties can be set or retrieved.

Default value: Gtk::Accessible::Role::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_display() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Display > > Gtk::ATContext::property_display | ( |  | ) |

The Gdk::Display for the Gtk::ATContext.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_display() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Display > > Gtk::ATContext::property_display | ( |  | ) | const

The Gdk::Display for the Gtk::ATContext.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ signal_state_change()

Glib::SignalProxy< void()> Gtk::ATContext::signal_state_change | ( |  | ) |

Slot Prototype:
  void on_my_state_change()

Flags: Run First

Emitted when the attributes of the accessible for the Gtk::ATContext instance change.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ATContext > wrap | ( | GtkATContext * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.